Vulnerability CVE-2015-3035


Published: 2015-04-21   Modified: 2015-04-22

Description:
Directory traversal vulnerability in TP-LINK Archer C5 (1.2) with firmware before 150317, C7 (2.0) with firmware before 150304, and C8 (1.0) with firmware before 150316, Archer C9 (1.0), TL-WDR3500 (1.0), TL-WDR3600 (1.0), and TL-WDR4300 (1.0) with firmware before 150302, TL-WR740N (5.0) and TL-WR741ND (5.0) with firmware before 150312, and TL-WR841N (9.0), TL-WR841N (10.0), TL-WR841ND (9.0), and TL-WR841ND (10.0) with firmware before 150310 allows remote attackers to read arbitrary files via a .. (dot dot) in the PATH_INFO to login/.

See advisories in our WLB2 database:
Topic
Author
Date
Med.
TP-LINK Local File Disclosure
Stefan V
11.04.2015

Type:

CWE-22

(Improper Limitation of a Pathname to a Restricted Directory ('Path Traversal'))

Vendor: Tp-link
Product: Archer c9 (1.0) firmware 
Version: 150122;
Product: Tl-wrd841nd (10.0) firmware 
Version: 150104;
Product: Tl-wr841nd (10.0) firmware 
Version: 150104;
Product: Tl-wrd841nd (9.0) firmware 
Version: 150104;
Product: Tl-wr841nd (9.0) firmware 
Version: 150104;
Product: Tl-wrd741nd (5.0) firmware 
Version: 141217;
Product: Tl-wr741nd (5.0) firmware 
Version: 141217;
Product: Tl-wrd740n (5.0) firmware 
Version: 141217;
Product: Tl-wr740n (5.0) firmware 
Version: 141217;
Product: Archer c5 (1.2) firmware 
Version: 141126;
Product: Tl-wdr3500 (1.0) firmware 
Version: 141113;
Product: Tl-wdr4300 (1.0) firmware 
Version: 141113;
Product: Archer c7 (2.0) firmware 
Version: 141110;
Product: Archer c8 (1.0) firmware 
Version: 141023;
Product: Tl-wdr3600 (1.0) firmware 
Version: 141022;
Product: Tl-wrd741nd (5.0) 
Product: Tl-wr841n (10.0) firmware 
Product: Tl-wr741nd (5.0) 
Product: Tl-wrd841n (9.0) firmware 
Product: Tl-wr841n (9.0) firmware 
Product: Tl-wrd841n (10.0) firmware 

CVSS2 => (AV:N/AC:L/Au:N/C:C/I:N/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
7.8/10
6.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
None
None

 References:
http://packetstormsecurity.com/files/131378/TP-LINK-Local-File-Disclosure.html
http://seclists.org/fulldisclosure/2015/Apr/26
http://www.securityfocus.com/archive/1/535240/100/0/threaded
http://www.securityfocus.com/bid/74050
http://www.tp-link.com/en/download/Archer-C5_V1.20.html#Firmware
http://www.tp-link.com/en/download/Archer-C7_V2.html#Firmware
http://www.tp-link.com/en/download/Archer-C8_V1.html#Firmware
http://www.tp-link.com/en/download/Archer-C9_V1.html#Firmware
http://www.tp-link.com/en/download/TL-WDR3500_V1.html#Firmware
http://www.tp-link.com/en/download/TL-WDR3600_V1.html#Firmware
http://www.tp-link.com/en/download/TL-WDR4300_V1.html#Firmware
http://www.tp-link.com/en/download/TL-WR740N_V5.html#Firmware
http://www.tp-link.com/en/download/TL-WR741ND_V5.html#Firmware
http://www.tp-link.com/en/download/TL-WR841N_V9.html#Firmware
http://www.tp-link.com/en/download/TL-WR841ND_V9.html#Firmware
https://www.sec-consult.com/fxdata/seccons/prod/temedia/advisories_txt/20150410-0_TP-Link_Unauthenticated_local_file_disclosure_vulnerability_v10.txt

Related CVE
CVE-2019-13268
TP-Link Archer C3200 V1 and Archer C2 V1 devices have Insufficient Compartmentalization between a host network and a guest network that are established by the same device. They forward ARP requests, which are sent as broadcast packets, between the ho...
CVE-2019-13267
TP-Link Archer C3200 V1 and Archer C2 V1 devices have Insufficient Compartmentalization between a host network and a guest network that are established by the same device. In order to transfer data from the host network to the guest network, the send...
CVE-2019-13266
TP-Link Archer C3200 V1 and Archer C2 V1 devices have Insufficient Compartmentalization between a host network and a guest network that are established by the same device. A DHCP Request is sent to the router with a certain Transaction ID field. Foll...
CVE-2019-15060
The traceroute function on the TP-Link TL-WR840N v4 router with firmware through 0.9.1 3.16 is vulnerable to remote code execution via a crafted payload in an IP address input field.
CVE-2019-13614
CMD_SET_CONFIG_COUNTRY in the TP-Link Device Debug protocol in TP-Link Archer C1200 1.0.0 Build 20180502 rel.45702 and earlier is prone to a stack-based buffer overflow, which allows a remote attacker to achieve code execution or denial of service by...
CVE-2019-13613
CMD_FTEST_CONFIG in the TP-Link Device Debug protocol in TP-Link Wireless Router Archer Router version 1.0.0 Build 20180502 rel.45702 (EU) and earlier is prone to a stack-based buffer overflow, which allows a remote attacker to achieve code execution...
CVE-2018-16119
Stack-based buffer overflow in the httpd server of TP-Link WR1043nd (Firmware Version 3) allows remote attackers to execute arbitrary code via a malicious MediaServer request to /userRpm/MediaServerFoldersCfgRpm.htm.
CVE-2019-6972
An issue was discovered on TP-Link TL-WR1043ND V2 devices. The credentials can be easily decoded and cracked by brute-force, WordList, or Rainbow Table attacks. Specifically, credentials in the "Authorization" cookie are encoded with URL encoding and...

Copyright 2019, cxsecurity.com

 

Back to Top